glibmm 2.4: Glib::Unicode Namespace Reference

Main Page Widgets Namespaces Book

# Glib::Unicode Namespace Reference
[Unicode Manipulation]

## Functions
bool | validate (gunichar uc)
bool | isalnum (gunichar uc)
bool | isalpha (gunichar uc)
bool | iscntrl (gunichar uc)
bool | isdigit (gunichar uc)
bool | isgraph (gunichar uc)
bool | islower (gunichar uc)
bool | isprint (gunichar uc)
bool | ispunct (gunichar uc)
bool | isspace (gunichar uc)
bool | isupper (gunichar uc)
bool | isxdigit (gunichar uc)
bool | istitle (gunichar uc)
bool | isdefined (gunichar uc)
bool | iswide (gunichar uc)
gunichar | toupper (gunichar uc)
gunichar | tolower (gunichar uc)
gunichar | totitle (gunichar uc)
int | digit_value (gunichar uc)
int | xdigit_value (gunichar uc)
Glib::UnicodeType | type (gunichar uc)
Glib::UnicodeBreakType | break_type (gunichar uc)

## Function Documentation

Glib::UnicodeBreakType break_type | ( | gunichar | uc | ) | `[inline]`

int digit_value | ( | gunichar | uc | ) | `[inline]`

bool isalnum | ( | gunichar | uc | ) | `[inline]`

bool isalpha | ( | gunichar | uc | ) | `[inline]`

bool iscntrl | ( | gunichar | uc | ) | `[inline]`

bool isdefined | ( | gunichar | uc | ) | `[inline]`

bool isdigit | ( | gunichar | uc | ) | `[inline]`

bool isgraph | ( | gunichar | uc | ) | `[inline]`

bool islower | ( | gunichar | uc | ) | `[inline]`

bool isprint | ( | gunichar | uc | ) | `[inline]`

bool ispunct | ( | gunichar | uc | ) | `[inline]`

bool isspace | ( | gunichar | uc | ) | `[inline]`

bool istitle | ( | gunichar | uc | ) | `[inline]`

bool isupper | ( | gunichar | uc | ) | `[inline]`

bool iswide | ( | gunichar | uc | ) | `[inline]`

bool isxdigit | ( | gunichar | uc | ) | `[inline]`

gunichar tolower | ( | gunichar | uc | ) | `[inline]`

gunichar totitle | ( | gunichar | uc | ) | `[inline]`

gunichar toupper | ( | gunichar | uc | ) | `[inline]`

Glib::UnicodeType type | ( | gunichar | uc | ) | `[inline]`

bool validate | ( | gunichar | uc | ) | `[inline]`

int xdigit_value | ( | gunichar | uc | ) | `[inline]`